"use strict";

function GeneVariant(javaObject) {
  this.setPosition(javaObject.position);
  this.setOriginalDna(javaObject.originalDna);
  this.setModifiedDna(javaObject.modifiedDna);
  this.setReferenceGenomeType(javaObject.referenceGenomeType);
  this.setReferenceGenomeVersion(javaObject.referenceGenomeVersion);
  this.setContig(javaObject.contig);
  this.setAllelFrequency(javaObject.allelFrequency);
  this.setVariantIdentifier(javaObject.variantIdentifier);
}

GeneVariant.prototype.setPosition = function(position) {
  this._position = position;
};

GeneVariant.prototype.getPosition = function() {
  return this._position;
};

GeneVariant.prototype.setOriginalDna = function(originalDna) {
  this._original = originalDna;
};

GeneVariant.prototype.getOriginalDna = function() {
  return this._original;
};

GeneVariant.prototype.setModifiedDna = function(modifiedDna) {
  this._modifiedDna = modifiedDna;
};

GeneVariant.prototype.getModifiedDna = function() {
  return this._modifiedDna;
};

GeneVariant.prototype.setContig = function(contig) {
  this._contig = contig;
};

GeneVariant.prototype.getContig = function() {
  return this._contig;
};

GeneVariant.prototype.setAllelFrequency = function(allelFrequency) {
  this._allelFrequency = allelFrequency;
};

GeneVariant.prototype.getAllelFrequency = function() {
  return this._allelFrequency;
};

GeneVariant.prototype.setVariantIdentifier = function(variantIdentifier) {
  this._variantIdentifier = variantIdentifier;
};

GeneVariant.prototype.getVariantIdentifier = function() {
  return this._variantIdentifier;
};

GeneVariant.prototype.setReferenceGenomeType = function(referenceGenomeType) {
  this._referenceGenomeType = referenceGenomeType;
};

GeneVariant.prototype.getReferenceGenomeType = function() {
  return this._referenceGenomeType;
};

GeneVariant.prototype.setReferenceGenomeVersion = function(
    referenceGenomeVersion) {
  this._referenceGenomeVersion = referenceGenomeVersion;
};

GeneVariant.prototype.getReferenceGenomeVersion = function() {
  return this._referenceGenomeVersion;
};

module.exports = GeneVariant;
